Subject: [rtcweb] Agenda request: Overall Approach to defining SDP usage in WebRTC

From: Bernard Aboba <[email-masked]>
Date: Thu, 11 Oct 2012 11:58:29 -0700

In addition to covering "fascinating" topics such as MTI codecs and JSEP
support of O/A at IETF 85, I'd like to suggest that we also set some time
aside at IETF 85 to discuss the overall approach to defining SDP usage in
WebRTC.  

In this "big picture" discussion, I'd like to try to figure out how we will
answer some of the following questions:

1.	What SDP functionality MUST/SHOULD/MAY be implemented/used in WebRTC
API implementations?
2.	What is the overall model for SDP usage in JSEP?
3.	How much of this discussion belongs in W3C, how much in IETF? 

The goal of this discussion is *not* to get into the details of the answer
to the questions, but rather to focus on what work needs to be done,  what
form it takes (adding material in existing docs, new docs, etc.), and what
is handled in what org (W3C, IETF, etc.).

To some extent, answers to question #1 are derivable from the RTP usage
draft, but I'm not clear that it makes sense to cover all aspects of SDP
usage there.  Also, it would be useful to discuss the plan for documenting
SDP in current usage that has no corresponding RFC or I-D (e.g. are all the
bases covered?). 

In question #2, I would include questions such as the role of the
constraints API (versus hacking SDP), what SDP lines/fields can or cannot be
edited by applications and how SDP errors are handled. 

While it would certainly be possible to write a -00 draft, without
understanding the overall plan, getting into detail probably doesn't make
much sense.  IMHO, slides should be sufficient, and I have some available to
stimulate discussion.

---

From: Justin Uberti <[email-masked]>
Date: Thu, 11 Oct 2012 22:42:11 -0700

I am planning to address some of what you mention in the JSEP -02, and also
have some slides on this for the JSEP discussion.

On Thu, Oct 11, 2012 at 11:58 AM, Bernard Aboba
<[email-masked]>wrote:

> WebRTC.  ****
> ** **
> In this "big picture" discussion, I'd like to try to figure out how we
> will answer some of the following questions:****
>
> ** **
>
>    1. What SDP functionality MUST/SHOULD/MAY be implemented/used in
>    WebRTC API implementations?****
>    2. What is the overall model for SDP usage in JSEP?****
>    3. How much of this discussion belongs in W3C, how much in IETF? ****
>
> ** **
>
> The goal of this discussion is **not** to get into the details of the
> answer to the questions, but rather to focus on what work needs to be
> done,  what form it takes (adding material in existing docs, new docs,
> etc.), and what is handled in what org (W3C, IETF, etc.).****
>
> ** **
>
> bases covered?). ****
> ** **
> constraints API (versus hacking SDP), what SDP lines/fields can or cannot
> be edited by applications and how SDP errors are handled. ****
>
> ** **
>
> much sense.  IMHO, slides should be sufficient, and I have some available
> to stimulate discussion. ****
>
> ** **
>
> ** **
>
> ** **
>
> ** **
>
> ** **
>
> ** **
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>